Contacts API

Store and update contact records for CRM integrations and audience segmentation.

Required Scopes

contacts:readcontacts:write

Endpoints

GET/contacts

List contacts with paging and search.

POST/contacts

Create a new contact.

GET/contacts/{contactId}

Fetch one contact record.

PATCH/contacts/{contactId}

Update profile fields.

DELETE/contacts/{contactId}

Delete a contact.

Code Examples

Curl

curl -X POST "https://api.servoagent.com/v1/contacts" \
  -H "Authorization: Bearer sk_live_..." \
  -H "Content-Type: application/json" \
  -d '{"email":"jamie@example.com","firstName":"Jamie","lastName":"Stone"}'

Python

contact = client.contacts.create(
    email="jamie@example.com",
    first_name="Jamie",
    last_name="Stone",
)
print(contact.id)

Node.js

const contact = await client.contacts.create({
  email: 'jamie@example.com',
  firstName: 'Jamie',
  lastName: 'Stone',
})
console.log(contact.id)

Go

contact, err := client.Contacts.Create(ctx, servoagent.ContactCreateRequest{
  Email: "jamie@example.com",
  FirstName: "Jamie",
  LastName: "Stone",
})
if err != nil {
  log.Fatal(err)
}
fmt.Println(contact.ID)

Ruby

contact = client.contacts.create(
  email: 'jamie@example.com',
  first_name: 'Jamie',
  last_name: 'Stone'
)
puts contact['id']

Test It Live

Use API Explorer to execute these endpoints and generate request snippets from real inputs.

Open API Explorer